# ifndef BoardTestCase_h
# define BoardTestCase_h
#include "TestHeader.h"
# include "Board.h"
class BoardTestCase:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE( BoardTestCase );
  CPPUNIT_TEST( construction );
  CPPUNIT_TEST( at );
  CPPUNIT_TEST( put );
  CPPUNIT_TEST( forsythe );
  CPPUNIT_TEST( testDisplay );
  CPPUNIT_TEST( testBitboard );
  CPPUNIT_TEST( testWhiteBitboard );
  CPPUNIT_TEST( testBlackBitboard );
  CPPUNIT_TEST( testRotatedBitboard );
  CPPUNIT_TEST( testRotated45 );
  CPPUNIT_TEST( testTotalMaterial );
  CPPUNIT_TEST_SUITE_END();
protected:
  void construction();
  void at();
  void put();
  void forsythe();
  void testDisplay();
  void testBitboard();
  void testWhiteBitboard();
  void testBlackBitboard();
  void testRotatedBitboard();
  void testRotated45();
  void testTotalMaterial();
};
#endif
